unit ShellUI;

interface

uses
    Windows,
    Messages,
    SysUtils,
    Classes,
    Forms,
    SxComObj,
    SxDataModule, SxCustShlObj, SxShellFolder, SxShellView, PermanentModule,
    SxExtractIcon, SxExplorerMenu, SxExplorerToolbar, SxProvider, SxTools;

type
  TShellModule = class(TSxModule)
    VirtualFolder: TSxVirtualFolder;
    FormShellView: TSxFormShellView;
    SxExtractIcon: TSxExtractIcon;
    SxSysShellView: TSxSysShellView;
    SxExplorerToolbar: TSxExplorerToolbar;
    procedure VirtualFolderGetDefaultIcon(Sender: TSxCustomShellFolder;
      var DefaultIcon: String);
    procedure SxExplorerToolbarUpdateToolbar(Sender: TSxExplorerToolbar;
      DataGrain: TSxCustomDataGrain);
    procedure VirtualFolderGetShellView(Sender: TSxCustomShellFolder;
      var NewShellView: TSxCustomShellView);
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
  end;

implementation

uses ComServ, ComObj, Dialogs;

{$R *.DFM}


procedure TShellModule.VirtualFolderGetDefaultIcon(
  Sender: TSxCustomShellFolder; var DefaultIcon: String);
begin
  DefaultIcon:=ComServer.ServerFileName+', 0';
end;

procedure TShellModule.SxExplorerToolbarUpdateToolbar(
  Sender: TSxExplorerToolbar; DataGrain: TSxCustomDataGrain);
begin
  PermanentDataModule.miToggleShellView.Checked:=PermanentDataModule.UseSysShellView; 
end;

procedure TShellModule.VirtualFolderGetShellView(
  Sender: TSxCustomShellFolder; var NewShellView: TSxCustomShellView);
begin
  if PermanentDataModule.UseSysShellView then
     NewShellView:=SxSysShellView
  else
     NewShellView:=FormShellView;
end;

initialization
    RegisterSxDataModule(ComServer,TShellModule);
end.









 
 
 
